import request from '@/utils/request'

// 查询协会颁发的荣誉信息列表
export function listInformation(query) {
    return request({
        url: '/crmAssociationHonorInformation/findByPage',
        method: 'get',
        params: query
    })
}

// 查询协会颁发的荣誉信息详细
export function getInformation(id) {
    return request({
        url: '/crmAssociationHonorInformation/' + id,
        method: 'get'
    })
}

// 新增协会颁发的荣誉信息
export function addInformation(data) {
    return request({
        url: '/crmAssociationHonorInformation',
        method: 'post',
        data: data
    })
}

// 修改协会颁发的荣誉信息
export function updateInformation(data) {
    return request({
        url: '/crmAssociationHonorInformation',
        method: 'put',
        data: data
    })
}

// 删除协会颁发的荣誉信息
export function delInformation(id) {
    return request({
        url: '/crmAssociationHonorInformation/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
    console.log(ids);
    return request.post('/crmAssociationHonorInformation/delete',ids)
}